Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
192.136.0.0
Broadcast address
192.143.255.255
First usable
192.136.0.1
Last usable
192.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex C0880000 · Integer 3230138368 to 3230662655
Reverse DNS zones
136.192.in-addr.arpa
137.192.in-addr.arpa
138.192.in-addr.arpa
139.192.in-addr.arpa
140.192.in-addr.arpa
141.192.in-addr.arpa
142.192.in-addr.arpa
143.192.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.10001000.00000000.00000000192.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11000000.10001000.00000000.00000000192.136.0.0
Broadcast11000000.10001111.11111111.11111111192.143.255.255
Split into smaller subnets/21

192.136.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.136.0.0/21192.136.0.1 to 192.136.7.254192.136.7.2552,046
2192.136.8.0/21192.136.8.1 to 192.136.15.254192.136.15.2552,046
3192.136.16.0/21192.136.16.1 to 192.136.23.254192.136.23.2552,046
4192.136.24.0/21192.136.24.1 to 192.136.31.254192.136.31.2552,046
5192.136.32.0/21192.136.32.1 to 192.136.39.254192.136.39.2552,046
6192.136.40.0/21192.136.40.1 to 192.136.47.254192.136.47.2552,046
7192.136.48.0/21192.136.48.1 to 192.136.55.254192.136.55.2552,046
8192.136.56.0/21192.136.56.1 to 192.136.63.254192.136.63.2552,046
9192.136.64.0/21192.136.64.1 to 192.136.71.254192.136.71.2552,046
10192.136.72.0/21192.136.72.1 to 192.136.79.254192.136.79.2552,046
11192.136.80.0/21192.136.80.1 to 192.136.87.254192.136.87.2552,046
12192.136.88.0/21192.136.88.1 to 192.136.95.254192.136.95.2552,046
13192.136.96.0/21192.136.96.1 to 192.136.103.254192.136.103.2552,046
14192.136.104.0/21192.136.104.1 to 192.136.111.254192.136.111.2552,046
15192.136.112.0/21192.136.112.1 to 192.136.119.254192.136.119.2552,046
16192.136.120.0/21192.136.120.1 to 192.136.127.254192.136.127.2552,046
17192.136.128.0/21192.136.128.1 to 192.136.135.254192.136.135.2552,046
18192.136.136.0/21192.136.136.1 to 192.136.143.254192.136.143.2552,046
19192.136.144.0/21192.136.144.1 to 192.136.151.254192.136.151.2552,046
20192.136.152.0/21192.136.152.1 to 192.136.159.254192.136.159.2552,046
21192.136.160.0/21192.136.160.1 to 192.136.167.254192.136.167.2552,046
22192.136.168.0/21192.136.168.1 to 192.136.175.254192.136.175.2552,046
23192.136.176.0/21192.136.176.1 to 192.136.183.254192.136.183.2552,046
24192.136.184.0/21192.136.184.1 to 192.136.191.254192.136.191.2552,046
25192.136.192.0/21192.136.192.1 to 192.136.199.254192.136.199.2552,046
26192.136.200.0/21192.136.200.1 to 192.136.207.254192.136.207.2552,046
27192.136.208.0/21192.136.208.1 to 192.136.215.254192.136.215.2552,046
28192.136.216.0/21192.136.216.1 to 192.136.223.254192.136.223.2552,046
29192.136.224.0/21192.136.224.1 to 192.136.231.254192.136.231.2552,046
30192.136.232.0/21192.136.232.1 to 192.136.239.254192.136.239.2552,046
31192.136.240.0/21192.136.240.1 to 192.136.247.254192.136.247.2552,046
32192.136.248.0/21192.136.248.1 to 192.136.255.254192.136.255.2552,046
33192.137.0.0/21192.137.0.1 to 192.137.7.254192.137.7.2552,046
34192.137.8.0/21192.137.8.1 to 192.137.15.254192.137.15.2552,046
35192.137.16.0/21192.137.16.1 to 192.137.23.254192.137.23.2552,046
36192.137.24.0/21192.137.24.1 to 192.137.31.254192.137.31.2552,046
37192.137.32.0/21192.137.32.1 to 192.137.39.254192.137.39.2552,046
38192.137.40.0/21192.137.40.1 to 192.137.47.254192.137.47.2552,046
39192.137.48.0/21192.137.48.1 to 192.137.55.254192.137.55.2552,046
40192.137.56.0/21192.137.56.1 to 192.137.63.254192.137.63.2552,046
41192.137.64.0/21192.137.64.1 to 192.137.71.254192.137.71.2552,046
42192.137.72.0/21192.137.72.1 to 192.137.79.254192.137.79.2552,046
43192.137.80.0/21192.137.80.1 to 192.137.87.254192.137.87.2552,046
44192.137.88.0/21192.137.88.1 to 192.137.95.254192.137.95.2552,046
45192.137.96.0/21192.137.96.1 to 192.137.103.254192.137.103.2552,046
46192.137.104.0/21192.137.104.1 to 192.137.111.254192.137.111.2552,046
47192.137.112.0/21192.137.112.1 to 192.137.119.254192.137.119.2552,046
48192.137.120.0/21192.137.120.1 to 192.137.127.254192.137.127.2552,046
49192.137.128.0/21192.137.128.1 to 192.137.135.254192.137.135.2552,046
50192.137.136.0/21192.137.136.1 to 192.137.143.254192.137.143.2552,046
51192.137.144.0/21192.137.144.1 to 192.137.151.254192.137.151.2552,046
52192.137.152.0/21192.137.152.1 to 192.137.159.254192.137.159.2552,046
53192.137.160.0/21192.137.160.1 to 192.137.167.254192.137.167.2552,046
54192.137.168.0/21192.137.168.1 to 192.137.175.254192.137.175.2552,046
55192.137.176.0/21192.137.176.1 to 192.137.183.254192.137.183.2552,046
56192.137.184.0/21192.137.184.1 to 192.137.191.254192.137.191.2552,046
57192.137.192.0/21192.137.192.1 to 192.137.199.254192.137.199.2552,046
58192.137.200.0/21192.137.200.1 to 192.137.207.254192.137.207.2552,046
59192.137.208.0/21192.137.208.1 to 192.137.215.254192.137.215.2552,046
60192.137.216.0/21192.137.216.1 to 192.137.223.254192.137.223.2552,046
61192.137.224.0/21192.137.224.1 to 192.137.231.254192.137.231.2552,046
62192.137.232.0/21192.137.232.1 to 192.137.239.254192.137.239.2552,046
63192.137.240.0/21192.137.240.1 to 192.137.247.254192.137.247.2552,046
64192.137.248.0/21192.137.248.1 to 192.137.255.254192.137.255.2552,046
65192.138.0.0/21192.138.0.1 to 192.138.7.254192.138.7.2552,046
66192.138.8.0/21192.138.8.1 to 192.138.15.254192.138.15.2552,046
67192.138.16.0/21192.138.16.1 to 192.138.23.254192.138.23.2552,046
68192.138.24.0/21192.138.24.1 to 192.138.31.254192.138.31.2552,046
69192.138.32.0/21192.138.32.1 to 192.138.39.254192.138.39.2552,046
70192.138.40.0/21192.138.40.1 to 192.138.47.254192.138.47.2552,046
71192.138.48.0/21192.138.48.1 to 192.138.55.254192.138.55.2552,046
72192.138.56.0/21192.138.56.1 to 192.138.63.254192.138.63.2552,046
73192.138.64.0/21192.138.64.1 to 192.138.71.254192.138.71.2552,046
74192.138.72.0/21192.138.72.1 to 192.138.79.254192.138.79.2552,046
75192.138.80.0/21192.138.80.1 to 192.138.87.254192.138.87.2552,046
76192.138.88.0/21192.138.88.1 to 192.138.95.254192.138.95.2552,046
77192.138.96.0/21192.138.96.1 to 192.138.103.254192.138.103.2552,046
78192.138.104.0/21192.138.104.1 to 192.138.111.254192.138.111.2552,046
79192.138.112.0/21192.138.112.1 to 192.138.119.254192.138.119.2552,046
80192.138.120.0/21192.138.120.1 to 192.138.127.254192.138.127.2552,046
81192.138.128.0/21192.138.128.1 to 192.138.135.254192.138.135.2552,046
82192.138.136.0/21192.138.136.1 to 192.138.143.254192.138.143.2552,046
83192.138.144.0/21192.138.144.1 to 192.138.151.254192.138.151.2552,046
84192.138.152.0/21192.138.152.1 to 192.138.159.254192.138.159.2552,046
85192.138.160.0/21192.138.160.1 to 192.138.167.254192.138.167.2552,046
86192.138.168.0/21192.138.168.1 to 192.138.175.254192.138.175.2552,046
87192.138.176.0/21192.138.176.1 to 192.138.183.254192.138.183.2552,046
88192.138.184.0/21192.138.184.1 to 192.138.191.254192.138.191.2552,046
89192.138.192.0/21192.138.192.1 to 192.138.199.254192.138.199.2552,046
90192.138.200.0/21192.138.200.1 to 192.138.207.254192.138.207.2552,046
91192.138.208.0/21192.138.208.1 to 192.138.215.254192.138.215.2552,046
92192.138.216.0/21192.138.216.1 to 192.138.223.254192.138.223.2552,046
93192.138.224.0/21192.138.224.1 to 192.138.231.254192.138.231.2552,046
94192.138.232.0/21192.138.232.1 to 192.138.239.254192.138.239.2552,046
95192.138.240.0/21192.138.240.1 to 192.138.247.254192.138.247.2552,046
96192.138.248.0/21192.138.248.1 to 192.138.255.254192.138.255.2552,046
97192.139.0.0/21192.139.0.1 to 192.139.7.254192.139.7.2552,046
98192.139.8.0/21192.139.8.1 to 192.139.15.254192.139.15.2552,046
99192.139.16.0/21192.139.16.1 to 192.139.23.254192.139.23.2552,046
100192.139.24.0/21192.139.24.1 to 192.139.31.254192.139.31.2552,046
101192.139.32.0/21192.139.32.1 to 192.139.39.254192.139.39.2552,046
102192.139.40.0/21192.139.40.1 to 192.139.47.254192.139.47.2552,046
103192.139.48.0/21192.139.48.1 to 192.139.55.254192.139.55.2552,046
104192.139.56.0/21192.139.56.1 to 192.139.63.254192.139.63.2552,046
105192.139.64.0/21192.139.64.1 to 192.139.71.254192.139.71.2552,046
106192.139.72.0/21192.139.72.1 to 192.139.79.254192.139.79.2552,046
107192.139.80.0/21192.139.80.1 to 192.139.87.254192.139.87.2552,046
108192.139.88.0/21192.139.88.1 to 192.139.95.254192.139.95.2552,046
109192.139.96.0/21192.139.96.1 to 192.139.103.254192.139.103.2552,046
110192.139.104.0/21192.139.104.1 to 192.139.111.254192.139.111.2552,046
111192.139.112.0/21192.139.112.1 to 192.139.119.254192.139.119.2552,046
112192.139.120.0/21192.139.120.1 to 192.139.127.254192.139.127.2552,046
113192.139.128.0/21192.139.128.1 to 192.139.135.254192.139.135.2552,046
114192.139.136.0/21192.139.136.1 to 192.139.143.254192.139.143.2552,046
115192.139.144.0/21192.139.144.1 to 192.139.151.254192.139.151.2552,046
116192.139.152.0/21192.139.152.1 to 192.139.159.254192.139.159.2552,046
117192.139.160.0/21192.139.160.1 to 192.139.167.254192.139.167.2552,046
118192.139.168.0/21192.139.168.1 to 192.139.175.254192.139.175.2552,046
119192.139.176.0/21192.139.176.1 to 192.139.183.254192.139.183.2552,046
120192.139.184.0/21192.139.184.1 to 192.139.191.254192.139.191.2552,046
121192.139.192.0/21192.139.192.1 to 192.139.199.254192.139.199.2552,046
122192.139.200.0/21192.139.200.1 to 192.139.207.254192.139.207.2552,046
123192.139.208.0/21192.139.208.1 to 192.139.215.254192.139.215.2552,046
124192.139.216.0/21192.139.216.1 to 192.139.223.254192.139.223.2552,046
125192.139.224.0/21192.139.224.1 to 192.139.231.254192.139.231.2552,046
126192.139.232.0/21192.139.232.1 to 192.139.239.254192.139.239.2552,046
127192.139.240.0/21192.139.240.1 to 192.139.247.254192.139.247.2552,046
128192.139.248.0/21192.139.248.1 to 192.139.255.254192.139.255.2552,046
129192.140.0.0/21192.140.0.1 to 192.140.7.254192.140.7.2552,046
130192.140.8.0/21192.140.8.1 to 192.140.15.254192.140.15.2552,046
131192.140.16.0/21192.140.16.1 to 192.140.23.254192.140.23.2552,046
132192.140.24.0/21192.140.24.1 to 192.140.31.254192.140.31.2552,046
133192.140.32.0/21192.140.32.1 to 192.140.39.254192.140.39.2552,046
134192.140.40.0/21192.140.40.1 to 192.140.47.254192.140.47.2552,046
135192.140.48.0/21192.140.48.1 to 192.140.55.254192.140.55.2552,046
136192.140.56.0/21192.140.56.1 to 192.140.63.254192.140.63.2552,046
137192.140.64.0/21192.140.64.1 to 192.140.71.254192.140.71.2552,046
138192.140.72.0/21192.140.72.1 to 192.140.79.254192.140.79.2552,046
139192.140.80.0/21192.140.80.1 to 192.140.87.254192.140.87.2552,046
140192.140.88.0/21192.140.88.1 to 192.140.95.254192.140.95.2552,046
141192.140.96.0/21192.140.96.1 to 192.140.103.254192.140.103.2552,046
142192.140.104.0/21192.140.104.1 to 192.140.111.254192.140.111.2552,046
143192.140.112.0/21192.140.112.1 to 192.140.119.254192.140.119.2552,046
144192.140.120.0/21192.140.120.1 to 192.140.127.254192.140.127.2552,046
145192.140.128.0/21192.140.128.1 to 192.140.135.254192.140.135.2552,046
146192.140.136.0/21192.140.136.1 to 192.140.143.254192.140.143.2552,046
147192.140.144.0/21192.140.144.1 to 192.140.151.254192.140.151.2552,046
148192.140.152.0/21192.140.152.1 to 192.140.159.254192.140.159.2552,046
149192.140.160.0/21192.140.160.1 to 192.140.167.254192.140.167.2552,046
150192.140.168.0/21192.140.168.1 to 192.140.175.254192.140.175.2552,046
151192.140.176.0/21192.140.176.1 to 192.140.183.254192.140.183.2552,046
152192.140.184.0/21192.140.184.1 to 192.140.191.254192.140.191.2552,046
153192.140.192.0/21192.140.192.1 to 192.140.199.254192.140.199.2552,046
154192.140.200.0/21192.140.200.1 to 192.140.207.254192.140.207.2552,046
155192.140.208.0/21192.140.208.1 to 192.140.215.254192.140.215.2552,046
156192.140.216.0/21192.140.216.1 to 192.140.223.254192.140.223.2552,046
157192.140.224.0/21192.140.224.1 to 192.140.231.254192.140.231.2552,046
158192.140.232.0/21192.140.232.1 to 192.140.239.254192.140.239.2552,046
159192.140.240.0/21192.140.240.1 to 192.140.247.254192.140.247.2552,046
160192.140.248.0/21192.140.248.1 to 192.140.255.254192.140.255.2552,046
161192.141.0.0/21192.141.0.1 to 192.141.7.254192.141.7.2552,046
162192.141.8.0/21192.141.8.1 to 192.141.15.254192.141.15.2552,046
163192.141.16.0/21192.141.16.1 to 192.141.23.254192.141.23.2552,046
164192.141.24.0/21192.141.24.1 to 192.141.31.254192.141.31.2552,046
165192.141.32.0/21192.141.32.1 to 192.141.39.254192.141.39.2552,046
166192.141.40.0/21192.141.40.1 to 192.141.47.254192.141.47.2552,046
167192.141.48.0/21192.141.48.1 to 192.141.55.254192.141.55.2552,046
168192.141.56.0/21192.141.56.1 to 192.141.63.254192.141.63.2552,046
169192.141.64.0/21192.141.64.1 to 192.141.71.254192.141.71.2552,046
170192.141.72.0/21192.141.72.1 to 192.141.79.254192.141.79.2552,046
171192.141.80.0/21192.141.80.1 to 192.141.87.254192.141.87.2552,046
172192.141.88.0/21192.141.88.1 to 192.141.95.254192.141.95.2552,046
173192.141.96.0/21192.141.96.1 to 192.141.103.254192.141.103.2552,046
174192.141.104.0/21192.141.104.1 to 192.141.111.254192.141.111.2552,046
175192.141.112.0/21192.141.112.1 to 192.141.119.254192.141.119.2552,046
176192.141.120.0/21192.141.120.1 to 192.141.127.254192.141.127.2552,046
177192.141.128.0/21192.141.128.1 to 192.141.135.254192.141.135.2552,046
178192.141.136.0/21192.141.136.1 to 192.141.143.254192.141.143.2552,046
179192.141.144.0/21192.141.144.1 to 192.141.151.254192.141.151.2552,046
180192.141.152.0/21192.141.152.1 to 192.141.159.254192.141.159.2552,046
181192.141.160.0/21192.141.160.1 to 192.141.167.254192.141.167.2552,046
182192.141.168.0/21192.141.168.1 to 192.141.175.254192.141.175.2552,046
183192.141.176.0/21192.141.176.1 to 192.141.183.254192.141.183.2552,046
184192.141.184.0/21192.141.184.1 to 192.141.191.254192.141.191.2552,046
185192.141.192.0/21192.141.192.1 to 192.141.199.254192.141.199.2552,046
186192.141.200.0/21192.141.200.1 to 192.141.207.254192.141.207.2552,046
187192.141.208.0/21192.141.208.1 to 192.141.215.254192.141.215.2552,046
188192.141.216.0/21192.141.216.1 to 192.141.223.254192.141.223.2552,046
189192.141.224.0/21192.141.224.1 to 192.141.231.254192.141.231.2552,046
190192.141.232.0/21192.141.232.1 to 192.141.239.254192.141.239.2552,046
191192.141.240.0/21192.141.240.1 to 192.141.247.254192.141.247.2552,046
192192.141.248.0/21192.141.248.1 to 192.141.255.254192.141.255.2552,046
193192.142.0.0/21192.142.0.1 to 192.142.7.254192.142.7.2552,046
194192.142.8.0/21192.142.8.1 to 192.142.15.254192.142.15.2552,046
195192.142.16.0/21192.142.16.1 to 192.142.23.254192.142.23.2552,046
196192.142.24.0/21192.142.24.1 to 192.142.31.254192.142.31.2552,046
197192.142.32.0/21192.142.32.1 to 192.142.39.254192.142.39.2552,046
198192.142.40.0/21192.142.40.1 to 192.142.47.254192.142.47.2552,046
199192.142.48.0/21192.142.48.1 to 192.142.55.254192.142.55.2552,046
200192.142.56.0/21192.142.56.1 to 192.142.63.254192.142.63.2552,046
201192.142.64.0/21192.142.64.1 to 192.142.71.254192.142.71.2552,046
202192.142.72.0/21192.142.72.1 to 192.142.79.254192.142.79.2552,046
203192.142.80.0/21192.142.80.1 to 192.142.87.254192.142.87.2552,046
204192.142.88.0/21192.142.88.1 to 192.142.95.254192.142.95.2552,046
205192.142.96.0/21192.142.96.1 to 192.142.103.254192.142.103.2552,046
206192.142.104.0/21192.142.104.1 to 192.142.111.254192.142.111.2552,046
207192.142.112.0/21192.142.112.1 to 192.142.119.254192.142.119.2552,046
208192.142.120.0/21192.142.120.1 to 192.142.127.254192.142.127.2552,046
209192.142.128.0/21192.142.128.1 to 192.142.135.254192.142.135.2552,046
210192.142.136.0/21192.142.136.1 to 192.142.143.254192.142.143.2552,046
211192.142.144.0/21192.142.144.1 to 192.142.151.254192.142.151.2552,046
212192.142.152.0/21192.142.152.1 to 192.142.159.254192.142.159.2552,046
213192.142.160.0/21192.142.160.1 to 192.142.167.254192.142.167.2552,046
214192.142.168.0/21192.142.168.1 to 192.142.175.254192.142.175.2552,046
215192.142.176.0/21192.142.176.1 to 192.142.183.254192.142.183.2552,046
216192.142.184.0/21192.142.184.1 to 192.142.191.254192.142.191.2552,046
217192.142.192.0/21192.142.192.1 to 192.142.199.254192.142.199.2552,046
218192.142.200.0/21192.142.200.1 to 192.142.207.254192.142.207.2552,046
219192.142.208.0/21192.142.208.1 to 192.142.215.254192.142.215.2552,046
220192.142.216.0/21192.142.216.1 to 192.142.223.254192.142.223.2552,046
221192.142.224.0/21192.142.224.1 to 192.142.231.254192.142.231.2552,046
222192.142.232.0/21192.142.232.1 to 192.142.239.254192.142.239.2552,046
223192.142.240.0/21192.142.240.1 to 192.142.247.254192.142.247.2552,046
224192.142.248.0/21192.142.248.1 to 192.142.255.254192.142.255.2552,046
225192.143.0.0/21192.143.0.1 to 192.143.7.254192.143.7.2552,046
226192.143.8.0/21192.143.8.1 to 192.143.15.254192.143.15.2552,046
227192.143.16.0/21192.143.16.1 to 192.143.23.254192.143.23.2552,046
228192.143.24.0/21192.143.24.1 to 192.143.31.254192.143.31.2552,046
229192.143.32.0/21192.143.32.1 to 192.143.39.254192.143.39.2552,046
230192.143.40.0/21192.143.40.1 to 192.143.47.254192.143.47.2552,046
231192.143.48.0/21192.143.48.1 to 192.143.55.254192.143.55.2552,046
232192.143.56.0/21192.143.56.1 to 192.143.63.254192.143.63.2552,046
233192.143.64.0/21192.143.64.1 to 192.143.71.254192.143.71.2552,046
234192.143.72.0/21192.143.72.1 to 192.143.79.254192.143.79.2552,046
235192.143.80.0/21192.143.80.1 to 192.143.87.254192.143.87.2552,046
236192.143.88.0/21192.143.88.1 to 192.143.95.254192.143.95.2552,046
237192.143.96.0/21192.143.96.1 to 192.143.103.254192.143.103.2552,046
238192.143.104.0/21192.143.104.1 to 192.143.111.254192.143.111.2552,046
239192.143.112.0/21192.143.112.1 to 192.143.119.254192.143.119.2552,046
240192.143.120.0/21192.143.120.1 to 192.143.127.254192.143.127.2552,046
241192.143.128.0/21192.143.128.1 to 192.143.135.254192.143.135.2552,046
242192.143.136.0/21192.143.136.1 to 192.143.143.254192.143.143.2552,046
243192.143.144.0/21192.143.144.1 to 192.143.151.254192.143.151.2552,046
244192.143.152.0/21192.143.152.1 to 192.143.159.254192.143.159.2552,046
245192.143.160.0/21192.143.160.1 to 192.143.167.254192.143.167.2552,046
246192.143.168.0/21192.143.168.1 to 192.143.175.254192.143.175.2552,046
247192.143.176.0/21192.143.176.1 to 192.143.183.254192.143.183.2552,046
248192.143.184.0/21192.143.184.1 to 192.143.191.254192.143.191.2552,046
249192.143.192.0/21192.143.192.1 to 192.143.199.254192.143.199.2552,046
250192.143.200.0/21192.143.200.1 to 192.143.207.254192.143.207.2552,046
251192.143.208.0/21192.143.208.1 to 192.143.215.254192.143.215.2552,046
252192.143.216.0/21192.143.216.1 to 192.143.223.254192.143.223.2552,046
253192.143.224.0/21192.143.224.1 to 192.143.231.254192.143.231.2552,046
254192.143.232.0/21192.143.232.1 to 192.143.239.254192.143.239.2552,046
255192.143.240.0/21192.143.240.1 to 192.143.247.254192.143.247.2552,046
256192.143.248.0/21192.143.248.1 to 192.143.255.254192.143.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses